<div class="p-5">
    <form [formGroup]="form">
        <p class="fs-4 fw-semibold">{{'humanresources.personalData' | translate}}</p>
        <div class="row row-cols-3 mb-2">
            <div class="col">
                <label class="form-label">{{'humanresources.lastname' | translate}}<span class="text-danger">*</span></label>
                <input type="text" class="form-control" formControlName="lastName">
            </div>

            <div class="col">
                <label class="form-label">{{'humanresources.firstname' | translate}}<span class="text-danger">*</span></label>
                <input type="text" class="form-control" formControlName="firstName">
            </div>
            <div class="col">
                <label class="form-label">{{'humanresources.patronymic' | translate}}</label>
                <input type="text" class="form-control" formControlName="patronymic">
            </div>
            <div class="col">
                <label class="form-label">{{'humanresources.iin' | translate}}<span class="text-danger">*</span></label>
                <input type="text" class="form-control" [class.input-invalid]="form.get('iin').touched && form.get('iin').invalid" formControlName="iin" maxlength="12">
            </div>
            <div class="col">
                <label class="form-label">{{'humanresources.residence' | translate}}<span class="text-danger">*</span></label>
                <input type="text" class="form-control" formControlName="residenceAddress">
            </div>
            <div class="col">
                <label class="form-label">{{'humanresources.address' | translate}}<span class="text-danger">*</span></label>
                <input type="text" class="form-control" formControlName="address">
            </div>
            <div class="col">
                <label class="form-label">{{'humanresources.birthdate' | translate}}<span class="text-danger">*</span></label>
                <input type="date" class="form-control" formControlName="birthdate">
            </div>
            <div class="col">
                <label class="form-label">{{'humanresources.phone' | translate}}<span class="text-danger">*</span></label>
                <input type="tel" class="form-control" [class.input-invalid]="form.get('phoneNumber').touched && form.get('phoneNumber').invalid" formControlName="phoneNumber" maxlength="13">
            </div>
            <div class="col">
                <label class="form-label">{{'humanresources.email' | translate}}<span class="text-danger">*</span></label>
                <input type="email" class="form-control" [class.input-invalid]="form.get('email').touched && form.get('email').invalid" formControlName="email">
            </div>

            <div class="col">
                <label class="form-label">{{'humanresources.identification' | translate}}<span class="text-danger">*</span></label>
                <input type="text" class="form-control" [class.input-invalid]="form.get('identity').touched && form.get('identity').invalid" formControlName="identity" maxlength="9">
            </div>
            <div class="col">
                <label class="form-label">{{'humanresources.dateOfidentification' | translate}}<span class="text-danger">*</span></label>
                <input type="date" class="form-control" formControlName="identificationIssued">
            </div>
            <div class="col mt-auto">
                <label class="form-label">{{'humanresources.military' | translate}}<span class="text-danger">*</span></label>
                <select class="form-select" formControlName="militaryService">
                    <option value="Призывник">{{'humanresources.conscript' | translate}}</option>
                    <option value="Военнообязанный">{{'humanresources.reservist' | translate}}</option>
                    <option value="Невоеннообязанный">{{'humanresources.non-military' | translate}}</option>
                    <option value="Снят с воинского учета">{{'humanresources.Withdrawn' | translate}}</option>
                </select>
            </div>
        </div>
        <div class="mb-2">
            <div class="col-3">
                    <label class="form-label fw-semibold">{{'humanresources.familyStatus' | translate}} <span class="text-danger">*</span></label>
                    <select class="form-select" (change)="onChanged($event)" formControlName="familyStatus">
                        <option value="null">{{'humanresources.choose' | translate}}</option>
                        <option value="Женат">{{'humanresources.married' | translate}}</option>
                        <option value="Не женат">{{'humanresources.not-married' | translate}}</option>
                        <option value="Замужем">{{'humanresources.marriedFemale' | translate}}</option>
                        <option value="Не замужем">{{'humanresources.not-marriedFemale' | translate}}</option>
                    </select>
                </div>
                <div #collapse="ngbCollapse" [(ngbCollapse)]="!isCollapsed">
                    <div class="row row-cols-2">
                        <div class="col">
                            <label class="form-label">{{'humanresources.fullnameSpouse' | translate}}<span class="text-danger">*</span></label>
                            <input type="text" class="form-control" formControlName="spouseName">
                        </div>
                        <div class="col">
                            <label class="form-label">{{'humanresources.birthdateSpouse' | translate}}<span class="text-danger">*</span></label>
                            <input type="date" class="form-control" formControlName="spouseBirthdate">
                        </div>
                    </div>
                    <div formArrayName="children">
                        <div class="row row-cols-2" [formGroupName]="i" *ngFor="let item of children?.controls; let i = index">
                            <div class="col">
                                <label class="form-label">{{'humanresources.fullnameChild' | translate}}<span class="text-danger">*</span></label>
                                <input type="text" class="form-control" formControlName="name">
                            </div>
                            <div class="col">
                                <label class="form-label">{{'humanresources.birthdateChild' | translate}}<span class="text-danger">*</span></label>
                                <input type="date" class="form-control" formControlName="birthdate">
                            </div>
                        </div>
                    </div>
                    <button class="btn btn-outline-danger btn-sm mt-2 float-end" *ngIf="children.length > 0" (click)="remove('children')"><i class="bi bi-trash3"></i></button>
                    <button class="btn btn-outline-secondary btn-sm mt-2 me-1 float-end" role="button" (click)="addChild()"><i class="bi bi-plus"></i>{{'humanresources.addChild' | translate}}</button>
            </div>
        </div>
        <p class="fw-semibold">{{'humanresources.education' | translate}}</p>
        <div formArrayName="education">
            <div class="row row-cols-2 mb-2" [formGroupName]="i" *ngFor="let item of education.controls; let i = index">
                <div class="col">
                    <label class="form-label">{{'humanresources.level' | translate}}<span class="text-danger">*</span></label>
                    <select class="form-select" formControlName="educationalLevel">
                        <option value="null">{{'humanresources.choose' | translate}}</option>
                        <option value="Среднее">{{'humanresources.medium' | translate}}</option>
                        <option value="Средне-специальное">{{'humanresources.mediumSpecial' | translate}}</option>
                        <option value="Бакалавриат">{{'humanresources.undergraduate' | translate}}</option>
                        <option value="Магистратура">{{'humanresources.masters' | translate}}</option>
                        <option value="Докторантура">{{'humanresources.doctorate' | translate}}</option>
                    </select>
                </div>
                <div class="col">
                    <label class="form-label">{{'humanresources.institution' | translate}}</label>
                    <input type="text" class="form-control" formControlName="institution">
                </div>
                <div class="col">
                    <label class="form-label">{{'humanresources.qualification' | translate}}</label>
                    <input type="text" class="form-control" formControlName="qualification">
                </div>
                <div class="col">
                    <label class="form-label">{{'humanresources.dateDiplom' | translate}}</label>
                    <input type="date" class="form-control" formControlName="diplomaDate">
                </div>
                <div class="col">
                    <label class="form-label">{{'humanresources.diplom' | translate}}</label>
                    <input type="text" class="form-control" formControlName="diploma">
                </div>
            </div>
            <button class="btn btn-outline-danger btn-sm mt-2 float-end" *ngIf="education.length > 0" (click)="remove('education')"><i class="bi bi-trash3"></i></button>
            <button class="btn btn-outline-secondary btn-sm mt-2 me-1 float-end" role="button" (click)="addEducation()"><i class="bi bi-plus"></i>{{'humanresources.addEducation' | translate}}</button>
        </div>
        <p class="fw-semibold">{{'humanresources.attachResume' | translate}}</p>
        <div class="row row-cols-2">
            <div class="col">
                <label class="form-label">{{'humanresources.resume' | translate}}<span class="text-danger">*</span></label>
                <input type="file" class="form-control"(change)="fileChange($event)">
            </div>
        </div>
        <div class="row mt-3">
            <button class="btn btn-dark col-3" type="submit" (click)="submit()" [disabled]="form.invalid">{{'humanresources.submit' | translate}}</button>
        </div>
    </form>
</div>
